io.vertx.ext.auth.oauth2

## Class OAuth2ClientOptions

- java.lang.Object
- - io.vertx.core.net.NetworkOptions
  - - io.vertx.core.net.TCPSSLOptions
    - - io.vertx.core.net.ClientOptionsBase
      - - io.vertx.core.http.HttpClientOptions
        - - io.vertx.ext.auth.oauth2.OAuth2ClientOptions

-     public class OAuth2ClientOptions
      extends HttpClientOptions

  Options describing how an OAuth2 `HttpClient` will make connections.
  Author:
    Paulo Lopes

- - ### Field Summary

    - ### Fields inherited from class io.vertx.core.http.HttpClientOptions

      `DEFAULT_ALPN_VERSIONS, DEFAULT_DECODER_INITIAL_BUFFER_SIZE, DEFAULT_DEFAULT_HOST, DEFAULT_DEFAULT_PORT, DEFAULT_FORCE_SNI, DEFAULT_HTTP2_CLEAR_TEXT_UPGRADE, DEFAULT_HTTP2_CONNECTION_WINDOW_SIZE, DEFAULT_HTTP2_MAX_POOL_SIZE, DEFAULT_HTTP2_MULTIPLEXING_LIMIT, DEFAULT_KEEP_ALIVE, DEFAULT_MAX_CHUNK_SIZE, DEFAULT_MAX_HEADER_SIZE, DEFAULT_MAX_INITIAL_LINE_LENGTH, DEFAULT_MAX_POOL_SIZE, DEFAULT_MAX_REDIRECTS, DEFAULT_MAX_WAIT_QUEUE_SIZE, DEFAULT_MAX_WEBSOCKET_FRAME_SIZE, DEFAULT_MAX_WEBSOCKET_MESSAGE_SIZE, DEFAULT_PIPELINING, DEFAULT_PIPELINING_LIMIT, DEFAULT_PROTOCOL_VERSION, DEFAULT_SEND_UNMASKED_FRAMES, DEFAULT_TRY_USE_COMPRESSION, DEFAULT_VERIFY_HOST`

    - ### Fields inherited from class io.vertx.core.net.ClientOptionsBase

      `DEFAULT_CONNECT_TIMEOUT, DEFAULT_METRICS_NAME, DEFAULT_TRUST_ALL`

    - ### Fields inherited from class io.vertx.core.net.TCPSSLOptions

      `DEFAULT_IDLE_TIMEOUT, DEFAULT_SO_LINGER, DEFAULT_SSL, DEFAULT_SSL_ENGINE, DEFAULT_TCP_KEEP_ALIVE, DEFAULT_TCP_NO_DELAY, DEFAULT_USE_ALPN, DEFAULT_USE_POOLED_BUFFERS`

    - ### Fields inherited from class io.vertx.core.net.NetworkOptions

      `DEFAULT_LOG_ENABLED, DEFAULT_RECEIVE_BUFFER_SIZE, DEFAULT_REUSE_ADDRESS, DEFAULT_SEND_BUFFER_SIZE, DEFAULT_TRAFFIC_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAuth2ClientOptions()` Default constructor
    `OAuth2ClientOptions(HttpClientOptions other)` Copy constructor
    `OAuth2ClientOptions(JsonObject json)` Constructor to create an options from JSON
    `OAuth2ClientOptions(OAuth2ClientOptions other)` Copy constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthorizationPath()`
    `String` | `getClientID()`
    `String` | `getClientSecret()`
    `String` | `getClientSecretParameterName()`
    `JsonObject` | `getExtraParameters()`
    `JsonObject` | `getHeaders()`
    `String` | `getIntrospectionPath()`
    `String` | `getLogoutPath()`
    `String` | `getPrivateKey()`
    `String` | `getPublicKey()`
    `String` | `getRevocationPath()`
    `String` | `getScopeSeparator()`
    `String` | `getSite()`
    `String` | `getTokenPath()`
    `String` | `getUserAgent()`
    `String` | `getUserInfoPath()`
    `boolean` | `isJwtToken()`
    `boolean` | `isUseBasicAuthorizationHeader()`
    `OAuth2ClientOptions` | `setAuthorizationPath(String authorizationPath)`
    `OAuth2ClientOptions` | `setClientID(String clientID)`
    `OAuth2ClientOptions` | `setClientSecret(String clientSecret)`
    `OAuth2ClientOptions` | `setClientSecretParameterName(String clientSecretParameterName)`
    `OAuth2ClientOptions` | `setExtraParameters(JsonObject extraParams)`
    `OAuth2ClientOptions` | `setHeaders(JsonObject headers)`
    `OAuth2ClientOptions` | `setIntrospectionPath(String introspectionPath)`
    `OAuth2ClientOptions` | `setJwtToken(boolean jwtToken)`
    `OAuth2ClientOptions` | `setLogoutPath(String logoutPath)`
    `OAuth2ClientOptions` | `setPrivateKey(String privateKey)`
    `OAuth2ClientOptions` | `setPublicKey(String publicKey)`
    `OAuth2ClientOptions` | `setRevocationPath(String revocationPath)`
    `OAuth2ClientOptions` | `setScopeSeparator(String scopeSeparator)`
    `OAuth2ClientOptions` | `setSite(String site)`
    `OAuth2ClientOptions` | `setTokenPath(String tokenPath)`
    `OAuth2ClientOptions` | `setUseBasicAuthorizationHeader(boolean useBasicAuthorizationHeader)`
    `OAuth2ClientOptions` | `setUserAgent(String userAgent)`
    `OAuth2ClientOptions` | `setUserInfoPath(String userInfoPath)`

    - ### Methods inherited from class io.vertx.core.http.HttpClientOptions

      `addCrlPath, addCrlValue, addEnabledCipherSuite, addEnabledSecureTransportProtocol, equals, getAlpnVersions, getDecoderInitialBufferSize, getDefaultHost, getDefaultPort, getHttp2ConnectionWindowSize, getHttp2MaxPoolSize, getHttp2MultiplexingLimit, getInitialSettings, getMaxChunkSize, getMaxHeaderSize, getMaxInitialLineLength, getMaxPoolSize, getMaxRedirects, getMaxWaitQueueSize, getMaxWebsocketFrameSize, getMaxWebsocketMessageSize, getPipeliningLimit, getProtocolVersion, hashCode, isForceSni, isHttp2ClearTextUpgrade, isKeepAlive, isPipelining, isSendUnmaskedFrames, isTryUseCompression, isVerifyHost, setAlpnVersions, setConnectTimeout, setDecoderInitialBufferSize, setDefaultHost, setDefaultPort, setForceSni, setHttp2ClearTextUpgrade, setHttp2ConnectionWindowSize, setHttp2MaxPoolSize, setHttp2MultiplexingLimit, setIdleTimeout, setInitialSettings, setJdkSslEngineOptions, setKeepAlive, setKeyCertOptions, setKeyStoreOptions, setLocalAddress, setLogActivity, setMaxChunkSize, setMaxHeaderSize, setMaxInitialLineLength, setMaxPoolSize, setMaxRedirects, setMaxWaitQueueSize, setMaxWebsocketFrameSize, setMaxWebsocketMessageSize, setMetricsName, setOpenSslEngineOptions, setPemKeyCertOptions, setPemTrustOptions, setPfxKeyCertOptions, setPfxTrustOptions, setPipelining, setPipeliningLimit, setProtocolVersion, setProxyOptions, setReceiveBufferSize, setReuseAddress, setSendBufferSize, setSendUnmaskedFrames, setSoLinger, setSsl, setSslEngineOptions, setTcpKeepAlive, setTcpNoDelay, setTrafficClass, setTrustAll, setTrustOptions, setTrustStoreOptions, setTryUseCompression, setUseAlpn, setUsePooledBuffers, setVerifyHost, toJson`

    - ### Methods inherited from class io.vertx.core.net.ClientOptionsBase

      `getConnectTimeout, getLocalAddress, getMetricsName, getProxyOptions, isTrustAll`

    - ### Methods inherited from class io.vertx.core.net.TCPSSLOptions

      `getCrlPaths, getCrlValues, getEnabledCipherSuites, getEnabledSecureTransportProtocols, getIdleTimeout, getJdkSslEngineOptions, getKeyCertOptions, getKeyStoreOptions, getOpenSslEngineOptions, getPemKeyCertOptions, getPemTrustOptions, getPfxKeyCertOptions, getPfxTrustOptions, getSoLinger, getSslEngineOptions, getTrustOptions, getTrustStoreOptions, isSsl, isTcpKeepAlive, isTcpNoDelay, isUseAlpn, isUsePooledBuffers`

    - ### Methods inherited from class io.vertx.core.net.NetworkOptions

      `getLogActivity, getReceiveBufferSize, getSendBufferSize, getTrafficClass, isReuseAddress`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OAuth2ClientOptions

          public OAuth2ClientOptions()

      Default constructor

    - #### OAuth2ClientOptions

          public OAuth2ClientOptions(HttpClientOptions other)

      Copy constructor
      Parameters:
        `other` - the options to copy

    - #### OAuth2ClientOptions

          public OAuth2ClientOptions(OAuth2ClientOptions other)

      Copy constructor
      Parameters:
        `other` - the options to copy

    - #### OAuth2ClientOptions

          public OAuth2ClientOptions(JsonObject json)

      Constructor to create an options from JSON
      Parameters:
        `json` - the JSON

  - ### Method Detail

    - #### getSite

          public String getSite()

    - #### getAuthorizationPath

          public String getAuthorizationPath()

    - #### setAuthorizationPath

          public OAuth2ClientOptions setAuthorizationPath(String authorizationPath)

    - #### getTokenPath

          public String getTokenPath()

    - #### setTokenPath

          public OAuth2ClientOptions setTokenPath(String tokenPath)

    - #### getRevocationPath

          public String getRevocationPath()

    - #### setRevocationPath

          public OAuth2ClientOptions setRevocationPath(String revocationPath)

    - #### isUseBasicAuthorizationHeader

          public boolean isUseBasicAuthorizationHeader()

    - #### setUseBasicAuthorizationHeader

          public OAuth2ClientOptions setUseBasicAuthorizationHeader(boolean useBasicAuthorizationHeader)

    - #### getClientSecretParameterName

          public String getClientSecretParameterName()

    - #### setClientSecretParameterName

          public OAuth2ClientOptions setClientSecretParameterName(String clientSecretParameterName)

    - #### setSite

          public OAuth2ClientOptions setSite(String site)

    - #### getClientID

          public String getClientID()

    - #### setClientID

          public OAuth2ClientOptions setClientID(String clientID)

    - #### getClientSecret

          public String getClientSecret()

    - #### setClientSecret

          public OAuth2ClientOptions setClientSecret(String clientSecret)

    - #### getUserAgent

          public String getUserAgent()

    - #### setUserAgent

          public OAuth2ClientOptions setUserAgent(String userAgent)

    - #### getHeaders

          public JsonObject getHeaders()

    - #### setHeaders

          public OAuth2ClientOptions setHeaders(JsonObject headers)

    - #### getPublicKey

          public String getPublicKey()

    - #### setPublicKey

          public OAuth2ClientOptions setPublicKey(String publicKey)

    - #### getPrivateKey

          public String getPrivateKey()

    - #### setPrivateKey

          public OAuth2ClientOptions setPrivateKey(String privateKey)

    - #### isJwtToken

          public boolean isJwtToken()

    - #### setJwtToken

          public OAuth2ClientOptions setJwtToken(boolean jwtToken)

    - #### getLogoutPath

          public String getLogoutPath()

    - #### setLogoutPath

          public OAuth2ClientOptions setLogoutPath(String logoutPath)

    - #### getUserInfoPath

          public String getUserInfoPath()

    - #### setUserInfoPath

          public OAuth2ClientOptions setUserInfoPath(String userInfoPath)

    - #### getScopeSeparator

          public String getScopeSeparator()

    - #### setScopeSeparator

          public OAuth2ClientOptions setScopeSeparator(String scopeSeparator)

    - #### getExtraParameters

          public JsonObject getExtraParameters()

    - #### setExtraParameters

          public OAuth2ClientOptions setExtraParameters(JsonObject extraParams)

    - #### getIntrospectionPath

          public String getIntrospectionPath()

    - #### setIntrospectionPath

          public OAuth2ClientOptions setIntrospectionPath(String introspectionPath)

Copyright © 2017. All rights reserved.